import { buildProps } from 'element-plus/es/utils/vue/props/runtime';
import type { PropType } from 'vue';
import type { FormItemConfig } from '/@/components/form/yw-form';

export const searchFormProps = buildProps({
	/** @description 查询参数 */
	queryParams: {
		type: Object as PropType<Record<string, any>>,
		default: {},
	},
	/** @description 表单项配置 */
	formItems: {
		type: Array<FormItemConfig>,
		default: [],
	},
	/** @description 排序状态 */
	isDrag: {
		type: Boolean,
		default: false,
	},
} as const);

export type searchFormEmits = {
	(event: 'resetClick'): void;
	(event: 'queryClick'): void;
	(event: 'addClick'): void;
	(event: 'dragStatusChange'): void;
};
